Listar próximas ocurrencias programadas
curl --request GET \
--url https://flowker.sandbox.lerian.net/v1/workflows/{id}/schedule/upcoming \
--header 'Authorization: Bearer <token>'import requests
url = "https://flowker.sandbox.lerian.net/v1/workflows/{id}/schedule/upcoming"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://flowker.sandbox.lerian.net/v1/workflows/{id}/schedule/upcoming', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"occurrences": [
{
"scheduledFor": "2026-01-15T10:30:00Z"
}
]
}{
"code": "FLK-0001",
"detail": "name is a required field",
"errors": [
{
"location": "body.nodes",
"message": "expected array length >= 1",
"value": "<unknown>"
}
],
"instance": "/v1/workflows",
"status": 400,
"title": "Bad Request",
"type": "https://errors.lerian.studio/v1/FLK-0001"
}Listar próximas ocurrencias programadas
Utiliza este endpoint para calcular las próximas ocurrencias del trigger de programación de un workflow, evaluadas en la zona horaria de la programación. Un workflow sin trigger de programación devuelve 422.
GET
/
v1
/
workflows
/
{id}
/
schedule
/
upcoming
Listar próximas ocurrencias programadas
Autorizaciones
Token bearer JWT emitido por el provider de identidad. Envíalo en la cabecera Authorization como Bearer <token>.
Parámetros de ruta
Identificador del workflow (UUID).
Ejemplo:
"018f3e2a-1c4d-7b9e-a1b2-c3d4e5f6a7b8"
Parámetros de consulta
Número de ocurrencias a calcular (1-50; por defecto 10).
Ejemplo:
"10"
Respuesta
Indica que la solicitud fue exitosa y la respuesta contiene los datos solicitados.
Show child attributes
Show child attributes
¿Esta página le ayudó?
⌘I

